<button mat-stroked-button class="iconButton" (click)="navigateToParent()">
	<mat-icon>arrow_back</mat-icon>{{ 'transl.simple.back' | translate }}
</button>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<lib-input-field [control]="form.controls.name" label="transl.simple.name" required="true" tabIndex="1"></lib-input-field>
	<mat-checkbox formControlName="internal">{{ 'transl.simple.internalAccount' | translate }}</mat-checkbox>
	<mat-checkbox formControlName="autoImport">{{ 'transl.simple.autoImport' | translate }}</mat-checkbox>
	<ng-container *ngIf="!this.form.value.internal">
		<lib-single-select
			[control]="form.controls.participantId"
			[optionsSubject]="participantsSubject"
			selectionKey="_id"
			displayKey="name"
			required="true"
			label="transl.simple.participant"
			tabOrder="1"
		></lib-single-select>
	</ng-container>

	<mat-form-field appearance="outline">
		<mat-label>{{ 'transl.simple.type' }} *</mat-label>
		<mat-select tabindex="2" formControlName="type">
			<mat-option *ngFor="let type of accountTypesSubject | async" [value]="type">{{
				'transl.account.type.' + type | translate
			}}</mat-option>
		</mat-select>
		<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.type.errors || {})[0] | translate }}</mat-error>
	</mat-form-field>
	<ng-container *ngIf="this.form.value.type">
		<mat-chip-list>
			<mat-chip color="primary" selected>{{ 'transl.account.type.' + this.form.value.type | translate }}</mat-chip>
		</mat-chip-list>
	</ng-container>
	<ng-container *ngIf="this.form.value.type === 'BANK'">
		<mat-form-field appearance="outline">
			<mat-label>{{ 'transl.simple.bank' }} *</mat-label>
			<mat-select tabindex="3" formControlName="bank">
				<mat-option *ngFor="let bank of banksSubject | async" [value]="bank">{{ 'transl.account.type.' + bank | translate }}</mat-option>
			</mat-select>
			<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.bank.errors || {})[0] | translate }}</mat-error>
		</mat-form-field>
		<lib-input-field [control]="form.controls.iban" label="transl.simple.iban" required="true" tabIndex="4"></lib-input-field>
		<ng-container *ngIf="!this.form.value._id || (userService.tokenSubject | async)?.userId === this.form.value.ownerId">
			<lib-input-field
				[control]="form.controls.username"
				label="transl.simple.username"
				hint="transl.simple.visibleOnlyToYou"
				tabOrder="5"
			></lib-input-field>
			<lib-input-field
				[control]="form.controls.password"
				label="transl.simple.password"
				hint="transl.simple.visibleOnlyToYou"
				type="password"
				tabOrder="6"
			></lib-input-field>
		</ng-container>
	</ng-container>
	<ng-container *ngIf="this.form.value.type === 'PAYPAL'">
		<lib-input-field [control]="form.controls.email" label="transl.simple.email" required="true" tabIndex="3"></lib-input-field>
	</ng-container>
	<button
		class="fab"
		mat-fab
		color="accent"
		[tabindex]="
			this.form.value.type === 'BANK' &&
			(this.form.value._id === undefined || (userService.tokenSubject | async)?.userId === this.form.value.ownerId)
				? 6
				: 4
		"
		[disabled]="loading || form.invalid"
	>
		<mat-icon>save</mat-icon>
	</button>
</form>
